/*
    QAD - Qt ADvanced

    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef mapview_tile_provider_maptiler_h
#define mapview_tile_provider_maptiler_h

#include "mapview_tile_provider_base.h"

#include <QNetworkAccessManager>


class QAD_MAP_EXPORT MapViewTileProvider_MapTiler: public MapViewTileProviderBase {
	Q_OBJECT

public:
	MapViewTileProvider_MapTiler();
	~MapViewTileProvider_MapTiler();

	QString name() const override;
	bool requestTile(MapViewTypes::TileIndex index) override;
	QSize tileSize() override;
	QString cacheDir() const override;
	int maximumLevel() const override;

protected:
	void applyParameters() override;

private:
	QNetworkAccessManager * nam = nullptr;
	QString url, key, tileset;
};


#endif
